Skip to main content
GET
/
agents
/
documents
List Documents
curl --request GET \
  --url https://api.cartesia.ai/agents/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Cartesia-Version: <cartesia-version>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "content": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "has_more": true,
  "next_page": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
required

API version header.

Available options:
2026-03-01
Example:

"2026-03-01"

Query Parameters

starting_after
string

A cursor for pagination. Pass the ID of the last document from the previous page to fetch the next page.

ending_before
string

A cursor for pagination. Pass the ID of the first document from the previous page to fetch the previous page.

limit
integer
default:10

The number of documents to return per page, ranging between 1 and 100. Defaults to 10.

Required range: 1 <= x <= 100

Response

200 - application/json

A paginated list of documents.

data
DocumentResponse · object[]
required

The paginated list of documents.

has_more
boolean
required

Whether more results are available after this page.

next_page
string | null

An ID that can be passed as starting_after or ending_before to get the next page.